> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_list_programs.md).

# nats\_list\_programs

*Article Topics:* [*Smarty*](/getting-started/common-topics/smarty.md)*,* [*Customization*](/getting-started/common-topics/customization.md)

## nats\_list\_programs

Obtains a list of programs.

Alias: list\_programs

## Parameters

(*Required parameters in bold)*

| Parameter                                                                                                       | Description                                                                      | Possible Values                                           | Default Value                    | Example                   |
| --------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------- | --------------------------------------------------------- | -------------------------------- | ------------------------- |
| hidden                                                                                                          | Show hidden programs                                                             | 0 or 1 (exclusive)                                        | 0. Shows only unhidden programs  | hidden="1"                |
| detailed                                                                                                        | Get detailed info about programs                                                 | 0 or 1 (exclusive)                                        | 0. Does not get detailed info    | detailed="1"              |
| include\_only                                                                                                   | Limit results to one program type. Overwritten by *type* parameter below         | A program ID number (See also the *type* parameter below) | 0. Gets all program types        | include\_only="123"       |
| not\_all\_types                                                                                                 | Same as *include\_only* above deprecated                                         |                                                           |                                  |                           |
| no\_enabled                                                                                                     | Don't get enabled programs                                                       | 0 or 1 (exclusive)                                        | 0. Gets enabled programs         | no\_enabled="1"           |
| get\_disabled                                                                                                   | Get enabled programs                                                             | 0 or 1                                                    | 0. Doesn't get enabled programs. | get\_disabled="1"         |
| no\_payout\_string                                                                                              | Don't get the payout description                                                 | 0 or 1 (exclusive)                                        | 0. Gets the payout description   | no\_payout\_string="1"    |
| payout\_array                                                                                                   | Store payout information in this array                                           | Any valid Smarty array name                               | None.                            | payout\_array="my\_array" |
| type                                                                                                            | Limit results to these program types. Overwrites *include\_only* parameter above | Comma-separated list of program type IDs to get           | *None.* Not used by default      | type="1,2,3"              |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix output variables with this word. (Click link for details)                 | Any valid Smarty variable name                            | *None.* (No prefix is used)      | assign\_prefix="myvar"    |

## Output

Outputs the Smarty array, *$programs* with the following format:

```
Array (5)
1 => "Rev Share [up to $4.00 per Join AND u..."
3 => "revshare 2 [20% of Join AND 15% of Re..."
2 => "Xsells [$3.00 per Unq Click AND $3.00..."
```

## Additional Notes

The parameter *not\_all\_types* is deprecated; please don't use it.

## Related Articles

{% content-ref url="/pages/qvBlSycLcwDDDoVIo0p1" %}
[nats\_list\_campaigns](/nats-admin/skins-and-templates/further-reading/template-functions/nats_list_campaigns.md)
{% endcontent-ref %}

{% content-ref url="/pages/cRniyqXB5oTjrfRSoIpa" %}
[nats\_list\_linkcodes](/nats-admin/skins-and-templates/further-reading/template-functions/nats_list_linkcodes.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_list_programs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
